Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Class Closure.WritableClosure

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Closure
              org.codehaus.groovy.runtime.CurriedClosure
                  groovy.lang.Closure.WritableClosure

All Implemented Interfaces:
  Writable

    class Closure.WritableClosure
    extends CurriedClosure

Field Summary

Fields inherited from class Closure
maximumNumberOfParameters, parameterTypes

Constructor Summary
`Closure.WritableClosure()`

Method Summary
`Closure` | `asWritable()`
`Object` | `call()`
`Object` | `call(Object arguments)`
`Object` | `call(Object[] args)`
`Object` | `clone()`
`Closure` | `curry(Object[] arguments)`
`Object` | `doCall(Object[] args)`
`boolean` | `equals(Object arg0)`
`Object` | `getDelegate()`
`int` | `getMaximumNumberOfParameters()`
`Class[]` | `getParameterTypes()`
`Object` | `getProperty(String property)`
`int` | `getResolveStrategy()`
`int` | `hashCode()`
`Object` | `invokeMethod(String method, Object arguments)`
`void` | `run()`
`void` | `setDelegate(Object delegate)`
`void` | `setProperty(String property, Object newValue)`
`void` | `setResolveStrategy(int resolveStrategy)`
`String` | `toString()`
`Writer` | `writeTo(Writer out)`

Methods inherited from class CurriedClosure
clone, getDelegate, getParameterTypes, getResolveStrategy, getUncurriedArguments, setDelegate, setResolveStrategy

Methods inherited from class Closure
asWritable, call, call, call, clone, curry, getDelegate, getDirective, getMaximumNumberOfParameters, getOwner, getParameterTypes, getProperty, getResolveStrategy, getThisObject, isCase, run, setDelegate, setDirective, setProperty, setResolveStrategy, throwRuntimeException

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### Closure.WritableClosure

    public Closure.WritableClosure()

Method Detail

### asWritable

    public Closure asWritable()

### call

    public Object call()

### call

    public Object call(Object arguments)

### call

    public Object call(Object[] args)

### clone

    public Object clone()

### curry

    public Closure curry(Object[] arguments)

### doCall

    public Object doCall(Object[] args)

### equals

    public boolean equals(Object arg0)

### getDelegate

    public Object getDelegate()

### getMaximumNumberOfParameters

    public int getMaximumNumberOfParameters()

### getParameterTypes

    public Class[] getParameterTypes()

### getProperty

    public Object getProperty(String property)

### getResolveStrategy

    public int getResolveStrategy()

### hashCode

    public int hashCode()

### invokeMethod

    public Object invokeMethod(String method, Object arguments)

### run

    public void run()

### setDelegate

    public void setDelegate(Object delegate)

### setProperty

    public void setProperty(String property, Object newValue)

### setResolveStrategy

    public void setResolveStrategy(int resolveStrategy)

### toString

    public String toString()

### writeTo

    public Writer writeTo(Writer out)

Copyright © 2003-2009 The Codehaus. All rights reserved.